Skip to navigation

Retrieve an opportunity

View as Markdown

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
annualized_expected_valueinteger or null
Annualized expected value in cents.
annualized_valueinteger or null
Annualized value in cents.
confidenceinteger
contact_idstring or null
created_bystring or null
date_createddatetime
date_lostdatetime or null
date_updateddatetime
date_wondate or null
expected_valueinteger or null
Value multiplied by confidence, in cents.
idstring
lead_idstring
notestring or null
note_htmlstring or null
organization_idstring
status_idstring
updated_bystring or null
user_idstring
valueinteger or null

Monetary value of the opportunity in cents, e.g. 340000 for $3,400.00. See value_formatted for a human-readable version.

value_periodenum
Allowed values:
attachmentslist of objectsOptional
comment_summaryobject or nullOptional
contact_namestring or nullOptional
created_by_agent_idstring or nullOptional
ID of the agent that created the opportunity, or null if no agent created it.
created_by_namestring or nullOptional
is_stalledbooleanOptional
lead_namestring or nullOptional
lead_primary_emailobject or nullOptional
lead_primary_phonelist of objects or nullOptional
pipeline_idstring or nullOptional
pipeline_namestring or nullOptional
stall_statusobject or nullOptional
status_display_namestringOptional
status_labelstringOptional
status_typeenumOptional
Allowed values:
suggested_actionobject or nullOptional
updated_by_agent_idstring or nullOptional
ID of the agent that last updated the opportunity, or null if the last update wasn't made by an agent.
updated_by_namestring or nullOptional
user_namestring or nullOptional
value_currencystring or nullOptional
value_formattedstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error